package com.iformall.enums;

/**
 * Created by luozukai
 * 短信模板
 */
public enum EnumMsgModel {
    // type,name
    MALL_APPLY(1, "申请试用"),
    FLOW_ASSIGNEE_NODIFY(2, "待办通知"),
    FLOW_APPLY_NODIFY(3, "审批通知"),
    FLOW_PASS_NODIFY(4, "通过审批通知"),
    FLOW_REJECT_NODIFY(5, "驳回通知"),
    VALIDATION_CODE(6, "验证码"),
    BILL_WAIT_PAY(7, "账单待缴通知"),
    BILL_OWE(8, "账单欠缴通知"),
    COUPON_SEND(9, "场景投放"),
    ADD_SHARING_ACCOUNT_NOTIFY_MANAGER(10, "商户分账账户新增通知商管"),
    ADD_SHARING_ACCOUNT_NOTIFY_MERCHANT(11, "商户分账账户新增通知商户"),
    UPDATE_SHARING_ACCOUNT_NOTIFY_MANAGER(12, "商户分账账户变更通知商管"),
    UPDATE_SHARING_ACCOUNT_NOTIFY_MERCHANT(13, "商户分账账户变更通知商户"),
    ACCEPT_SHARING_ACCOUNT_NOTIFY_MANAGER(14, "商户分账账户使用回执"),
    REJECT_SHARING_ACCOUNT_NOTIFY_MANAGER(15, "商户分账账户不使用回执"),
    DELETE_SHARING_ACCOUNT_NOTIFY_MERCHANT(16, "商户分账账户删除提醒"),
    TIME_LIMIT_CAMPAIGN_JOIN_SUCCESS(17, "限时活动报名成功"),
    TIME_LIMIT_CAMPAIGN_NOTIFY(18, "限时活动参与提醒"),

    //卷
    FLOW_C_ASSIGNEE_NODIFY(19, "待办通知"),
    FLOW_C_APPLY_NODIFY(20, "审批通知"),
    FLOW_C_PASS_NODIFY(21, "通过审批通知"),
    FLOW_C_REJECT_NODIFY(22, "驳回通知"),

    //会员生日券
    COUPON_BIRTHDAY_OPENED(28, "会员生日券倍率开启"),
    COUPON_BIRTHDAY_OPENED_NO(29, "会员生日券倍率未开启"),

    COUPON_CARD_SEND(30, "系统发卡"),
    ;

    public static EnumMsgModel getEnum(Integer code) {
        for (EnumMsgModel value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgModel(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
